<template>
    <div class="header">
        <h1 class="title">AmadorUAVs StreamDeck</h1>

        <button
            v-if="gameStarted"
            class="button is-danger end-game"
            @click="endGame"
        >
            End Game
        </button>
    </div>
</template>

<script lang="ts">
import Vue from "vue";
import axios from "axios";
import state from "~/state";
export default Vue.extend({
    props: { gameStarted: Boolean },
    methods: {
        async endGame() {
            const check = confirm(
                "Are you sure you want to end the game?\nReview everything to make sure."
            );

            if (!check) return;

            try {
                await axios.post<IResponse>(
                    `${process.env.ENDPOINT_URL}/endGame`
                );
                state.gameStarted = false;
                alert("Ended game successfully!");
                location.reload();
            } catch (error) {
                alert("Unable to end the game (error in console)!");
                console.log(error);
            }
        },
    },
});
</script>

<style scoped>
.header {
    padding: 15px 20px;
    background-color: white;
    display: flex;
    align-items: center;
}
.header h1 {
    font-size: 25px;
    font-style: bold;
    color: #4a4a4a !important;
    margin: 0;
}

.end-game {
    margin-left: auto;
}
</style>
